Willkommen bei Entwickler-Forum.
Ergebnis 1 bis 6 von 6
  1. #1
    Neuer Benutzer
    Registriert seit
    12.03.2015
    Beiträge
    4

    Standard Build path entry is missing?

    Hallo zusammen
    Ich hab ein paar Probleme mit meiner Eclipse Luna Version auf meinem Mac Book.

    Der workspace ist unter: Macintosh HD ▸ Benutzer ▸ macuser ▸ Dokumente ▸ workspaceLH

    Dort sind die ganzen Dateien meiner früher unt Windows erstellten Projekte,
    aber wenn ich Eclipse starte erscheint ein rotes Ausrufezeichen an den jeweiligen Projekten an der Linkenseite wo die ganzen Projekte aufgelistet sind.
    Deshalb kann ich die Programme auch nicht ausführen.
    Ich bekomme dann folgenden Fehler wenn ich sie ausführe:
    at java.lang.ClassLoader.loadClass(ClassLoader.java:2 47)


    In den Properties eines offenen Projekts unter Java Build Path ist folgende Meldung zu sehen:
    Build path entry is missing: org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.Standar dVMType/JavaSE-1.7

    Und unter Java Builld Path/Libraries sehe ich folgendes:
    JRE System Library [JavaSE-1.7] (unbound) ???


    System:
    Mac Book Pro OS X Yosemite

    Eclipse:
    Eclipse IDE for Java Developers
    Version: Luna Service Release 2 (4.4.2)
    Build id: 20150219-0600

    Java:
    java version "1.8.0_31"
    Java(TM) SE Runtime Environment (build 1.8.0_31-b15)
    Java HotSpot(TM) 64-Bit Server VM (build 25.31-b07, mixed mode)

    Vielleicht kann mir jemand auf die Sprünge helfen?

    Danke und Gruß
    bosser

  2. #2
    Forenheld
    Registriert seit
    26.02.2003
    Beiträge
    16.119

    Standard

    Offenbar hast du Java 8 auf deinem System und das Projekt ist voreingestellt für Java 7

    Also das auf Java 8 umstellen Window->Preferences->Java-> installed JRE
    Geändert von Christian Marquardt (12.03.2015 um 19:54 Uhr)
    Christian

  3. #3
    Neuer Benutzer
    Registriert seit
    12.03.2015
    Beiträge
    4

    Standard

    Hi,
    danke erstmal,
    wollte es gerade veruschen jedoch unter Window -> wird das Preferences nicht angezeigt.

    Hab zufällig unter Window -> Customize Perspective -> Menue Visibillity -> Window aufklappen gesehen das Preferences nicht angehakt ist.
    Jedoch lässt es sich nicht anhacken??? Sehr seltsam, folgende Fehlermeldung kommt:

    "Preferences" cannot be made visible because it is in the unavailable "null" command group.
    Would you like to switch to the Command Group Availability tab?

    Ist es vielleicht besser wenn ich mir einfach die Java Version 7 auf den Mac mache oder führt das zu Problemen?

    Gruß
    bosser

  4. #4
    Forenheld
    Registriert seit
    26.02.2003
    Beiträge
    16.119

    Standard

    Unbenannt.jpg

    Da sollte es möglich sein die Einstellungen zu ändern.

    Sicherlich könnte es möglich sein,das Problem mit Java 7 zu beheben, aber warum gibt es Windows-Preferences nicht? Das Problem muss gelöst werden

    Warum treten solche Probleme immer bei Apple auf?
    Geändert von Christian Marquardt (12.03.2015 um 20:47 Uhr)
    Christian

  5. #5
    Neuer Benutzer
    Registriert seit
    12.03.2015
    Beiträge
    4

    Standard

    Bin jetzt über rechtsklick -> New -> Java Project -> Configure JREs -> Installed JREs

    Folgerndermaßen sieht es aus:
    JRE.jpg

    hier sieht es so aus als ob JRE 1.6 installiert wäre, mein Terminal und auf der Java Seite kann man ja prüfen welche man installiert hat und dort wird mir angezeigt das ich aber Java 1.8 installiert habe?
    (siehe mein anfangspost)


    Edit:
    Folgendes habe ich rausgefunden, wenn ich ein neues Projekt anlege und dort unter use an execution environment JRE: (JavaSE-1.6) auswähle und die src Dateien in das Projekt ziehe (Copy File) dann kann ich sie ausführen.

    Würde ich zur Not halt bei 20 Projekten machen. Jedoch versteh ich immer noch nicht warum hier 1.6 hinterlegt ist und nciht 1.8

    Gruß
    bosser
    Geändert von bosser (12.03.2015 um 22:59 Uhr)

  6. #6
    Neuer Benutzer
    Registriert seit
    12.03.2015
    Beiträge
    4

    Standard

    hat sich jetzt erledigt.

    Anhang 2263
    Ich bin dort auf suchen, dann ist die SE 7 erschienen (hatte ich zuvor installiert), diese hab ich ausgewählt und der Fehler war behoben.

    Jedoch etwas fraglich erscheint mir immer noch wieso mein System anzeigt das Java 1.8 installiert ist ich diese aber nicht in Eclipse auswählen kann.

    Gruß
    bosser

 

 

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •